| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
uiStatusBar Class Reference
uiBase

`#include <uistatusbar.h>`

Inheritance diagram for uiStatusBar:
[legend]

## Public Member Functions
| ~uiStatusBar ()
int | addMsgFld (const uiString &tooltip, Alignment::HPos al=Alignment::Left, int stretch=1)
bool | addObject (uiObject *)
OD::Color | getBGColor (int fldidx) const
void | getMessages (uiStringSet &msgs) const
void | message (const uiString &, int fldidx=0, int msecs=-1)
void | message (const uiStringSet &, int msecs=-1)
| mOD_DisableCopy (uiStatusBar) int addMsgFld(const uiString &lbltxt
int | nrFields () const
void | setBGColor (int fldidx, const OD::Color &)
void | setEmpty (int startat=0)
void | setLabelTxt (int, const uiString &)
void | setToolTip (int, const uiString &)
void | setTxtAlign (int, Alignment::HPos)
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
virtual void | translateText ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
const uiString Alignment::HPos | al =Alignment::Left
const uiString Alignment::HPos int | stretch =1)
const uiString & | tooltip =uiString::emptyString()

## Protected Member Functions
| uiStatusBar (uiMainWin *, const char *, QStatusBar &)
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Private Member Functions
uiStatusBarBody & | mkbody (uiMainWin *, const char *, QStatusBar &)

## Private Attributes
uiStatusBarBody * | body_
uiStringSet | messages_

## Friends
class | uiMainWinBody

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~uiStatusBar()

uiStatusBar::~uiStatusBar | ( |  | ) |

## ◆ uiStatusBar()

uiStatusBar::uiStatusBar | ( | uiMainWin * | ,
|  | const char * | ,
|  | QStatusBar & | )
| protected

## Member Function Documentation

## ◆ addMsgFld()

int uiStatusBar::addMsgFld | ( | const uiString & | tooltip,
|  | Alignment::HPos | al = Alignment::Left,
|  | int | stretch = 1 )

## ◆ addObject()

bool uiStatusBar::addObject | ( | uiObject * |  | ) |

## ◆ getBGColor()

OD::Color uiStatusBar::getBGColor | ( | int | fldidx | ) | const

## ◆ getMessages()

void uiStatusBar::getMessages | ( | uiStringSet & | msgs | ) | const
| inline

## ◆ message() [1/2]

void uiStatusBar::message | ( | const uiString & | ,
|  | int | fldidx = 0,
|  | int | msecs = -1 )

## ◆ message() [2/2]

void uiStatusBar::message | ( | const uiStringSet & | ,
|  | int | msecs = -1 )

## ◆ mkbody()

uiStatusBarBody & uiStatusBar::mkbody | ( | uiMainWin * | ,
|  | const char * | ,
|  | QStatusBar & | )
| private

## ◆ mOD_DisableCopy()

uiStatusBar::mOD_DisableCopy | ( | uiStatusBar |  | ) | const &

## ◆ nrFields()

int uiStatusBar::nrFields | ( |  | ) | const

## ◆ setBGColor()

void uiStatusBar::setBGColor | ( | int | fldidx,
|  | const OD::Color & | )

## ◆ setEmpty()

void uiStatusBar::setEmpty | ( | int | startat = 0 | ) |

## ◆ setLabelTxt()

void uiStatusBar::setLabelTxt | ( | int | ,
|  | const uiString & | )

## ◆ setToolTip()

void uiStatusBar::setToolTip | ( | int | ,
|  | const uiString & | )

## ◆ setTxtAlign()

void uiStatusBar::setTxtAlign | ( | int | ,
|  | Alignment::HPos | )

## Friends And Related Symbol Documentation

## ◆ uiMainWinBody

friend class uiMainWinBody
| friend

## Member Data Documentation

## ◆ al

const uiString Alignment::HPos uiStatusBar::al =Alignment::Left

## ◆ body_

uiStatusBarBody* uiStatusBar::body_
| private

## ◆ messages_

uiStringSet uiStatusBar::messages_
| private

## ◆ stretch

const uiString Alignment::HPos int uiStatusBar::stretch =1)

## ◆ tooltip

const uiString& uiStatusBar::tooltip =uiString::emptyString()

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025